Bug 227563 - [maintainer update] devel/libqb: update to 1.0.3
Summary: [maintainer update] devel/libqb: update to 1.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks: 227564
  Show dependency treegraph
 
Reported: 2018-04-16 19:48 UTC by David Shane Holden
Modified: 2018-05-14 09:04 UTC (History)
1 user (show)

See Also:


Attachments
libqb-1.0.3.diff (6.03 KB, patch)
2018-04-16 19:48 UTC, David Shane Holden
no flags Details | Diff
libqb-1.0.3_1.diff (1.23 KB, patch)
2018-05-12 15:56 UTC, David Shane Holden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Shane Holden 2018-04-16 19:48:32 UTC
Created attachment 192568 [details]
libqb-1.0.3.diff

libqb.so was changed to a linker script that loads libqb.so.0 which the ports
system doesn't recognize; hence the dependency update to net/corosync and
net/pacemaker.
Comment 1 commit-hook freebsd_committer 2018-05-12 03:25:15 UTC
A commit references this bug:

Author: vanilla
Date: Sat May 12 03:24:11 UTC 2018
New revision: 469702
URL: https://svnweb.freebsd.org/changeset/ports/469702

Log:
  Update to 1.0.3.

  PR:		227563
  Submitted by:	maintainer

Changes:
  head/devel/libqb/Makefile
  head/devel/libqb/distinfo
  head/devel/libqb/files/patch-configure.ac
  head/devel/libqb/files/patch-lib_Makefile.am
  head/devel/libqb/pkg-plist
Comment 2 commit-hook freebsd_committer 2018-05-12 03:26:17 UTC
A commit references this bug:

Author: vanilla
Date: Sat May 12 03:25:48 UTC 2018
New revision: 469704
URL: https://svnweb.freebsd.org/changeset/ports/469704

Log:
  Update libqb.so's version number.

  PR:		227563
  Submitted by:	maintainer

Changes:
  head/net/pacemaker/Makefile
Comment 3 Vanilla I. Shu freebsd_committer 2018-05-12 14:36:10 UTC
btw, libqb will generate wrong version on libqb.pc, and it will cause build error of pacemaker.

here is the output of my box, please help to check.

--
nat [/users/v] -v- > more /usr/local/libdata/pkgconfig/libqb.pc
prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include

Name: libqb
Version: UNKNOWN
Description: libqb
Requires:
Libs: -L${libdir} -lqb
Comment 4 David Shane Holden 2018-05-12 15:56:09 UTC
Sorry about that, I had switched the port over to using the github tag instead of the distribution tarball.
Comment 5 David Shane Holden 2018-05-12 15:56:32 UTC
Created attachment 193327 [details]
libqb-1.0.3_1.diff
Comment 6 Vanilla I. Shu freebsd_committer 2018-05-14 09:04:42 UTC
Committed, thanks.
Comment 7 commit-hook freebsd_committer 2018-05-14 09:04:54 UTC
A commit references this bug:

Author: vanilla
Date: Mon May 14 09:04:37 UTC 2018
New revision: 469866
URL: https://svnweb.freebsd.org/changeset/ports/469866

Log:
  change to distribution tarball.

  PR:		227563
  Submitted by:	maintainer

Changes:
  head/devel/libqb/Makefile
  head/devel/libqb/distinfo